diff -urNad mysql-connector-odbc-5.1.13-src/util/stringutil.c mysql-connector-odbc-5.1.12-src/util/stringutil.c
--- mysql-connector-odbc-5.1.13-src/util/stringutil.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/util/stringutil.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2007, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2007, 2011, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
@@ -55,9 +55,8 @@
   my_bool free_str= FALSE;
 
   if (str && *len == SQL_NTS)
-  {
     *len= strlen((char *)str);
-  }
+
   if (!str || *len == 0)
   {
     *len= 0;
@@ -95,13 +94,13 @@
     return NULL;
   }
 
-  for (pos= str, i= 0; pos < str_end && *pos != 0; )
+  for (pos= str, i= 0; *pos && pos < str_end; )
   {
     if (sizeof(SQLWCHAR) == 4)
     {
       int consumed= utf8toutf32(pos, (UTF32 *)(out + i++));
       pos+= consumed;
-      if (consumed == 0)
+      if (!consumed)
       {
         *errors+= 1;
         break;
@@ -112,7 +111,7 @@
       UTF32 u32;
       int consumed= utf8toutf32(pos, &u32);
       pos+= consumed;
-      if (consumed == 0)
+      if (!consumed)
       {
         *errors+= 1;
         break;
@@ -125,9 +124,7 @@
   out[i]= 0;
 
   if (free_str)
-  {
     x_free(str);
-  }
 
   return out;
 }
